<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja pliku moc_Terminal.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('build_2moc___terminal_8cpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#nested-classes">Komponenty</a> &#124;
<a href="#namespaces">Przestrzenie nazw</a> &#124;
<a href="#define-members">Definicje</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja pliku build/moc_Terminal.cpp</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_terminal_8hpp_source.html">../inc/Terminal.hpp</a>&quot;</code><br />
<code>#include &lt;QtGui/qtextcursor.h&gt;</code><br />
<code>#include &lt;QtCore/qmetatype.h&gt;</code><br />
<code>#include &lt;memory&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Wykres zależności załączania dla build/moc_Terminal.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="build_2moc___terminal_8cpp__incl.png" border="0" usemap="#amoc___terminal_8cpp" alt=""/></div>
<map name="amoc___terminal_8cpp" id="amoc___terminal_8cpp">
<area shape="rect" title=" " alt="" coords="323,5,451,31"/>
<area shape="rect" href="_terminal_8hpp.html" title=" " alt="" coords="89,79,216,104"/>
<area shape="poly" title=" " alt="" coords="350,33,204,77,203,72,349,28"/>
<area shape="rect" title=" " alt="" coords="240,79,375,104"/>
<area shape="poly" title=" " alt="" coords="376,33,332,72,329,68,373,29"/>
<area shape="rect" title=" " alt="" coords="399,79,536,104"/>
<area shape="poly" title=" " alt="" coords="402,29,446,68,442,72,398,33"/>
<area shape="rect" title=" " alt="" coords="560,79,628,104"/>
<area shape="poly" title=" " alt="" coords="421,28,548,72,547,77,420,33"/>
<area shape="rect" title=" " alt="" coords="5,152,84,177"/>
<area shape="poly" title=" " alt="" coords="137,106,75,147,72,142,134,102"/>
<area shape="rect" title=" " alt="" coords="109,152,197,177"/>
<area shape="poly" title=" " alt="" coords="155,104,155,138,150,138,150,104"/>
<area shape="rect" href="_framed_widget_8hpp.html" title=" " alt="" coords="221,152,351,177"/>
<area shape="poly" title=" " alt="" coords="175,102,253,143,251,148,173,106"/>
<area shape="rect" title=" " alt="" coords="161,225,230,251"/>
<area shape="poly" title=" " alt="" coords="273,179,223,219,219,214,270,175"/>
<area shape="rect" title=" " alt="" coords="254,225,318,251"/>
<area shape="poly" title=" " alt="" coords="289,178,289,212,283,212,283,178"/>
<area shape="rect" title=" " alt="" coords="343,225,445,251"/>
<area shape="poly" title=" " alt="" coords="305,175,366,215,363,220,302,180"/>
</map>
</div>
</div>
<p><a href="build_2moc___terminal_8cpp_source.html">Idź do kodu źródłowego tego pliku.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Komponenty</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_a452a946ca0f6461b8e63c6c48cb3d590.html">QT_WARNING_DISABLE_DEPRECATED::qt_meta_stringdata_CLASSTerminalENDCLASS_t</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="namespaces" name="namespaces"></a>
Przestrzenie nazw</h2></td></tr>
<tr class="memitem:namespace_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d"><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d.html">QT_WARNING_DISABLE_DEPRECATED</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Definicje</h2></td></tr>
<tr class="memitem:ad83b2306f94b5b9e5625794fc238c8a0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="build_2moc___terminal_8cpp.html#ad83b2306f94b5b9e5625794fc238c8a0">Q_CONSTINIT</a></td></tr>
<tr class="separator:ad83b2306f94b5b9e5625794fc238c8a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c6e81753001d10d51e62d0a29c273bc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="build_2moc___terminal_8cpp.html#a3c6e81753001d10d51e62d0a29c273bc">QT_MOC_LITERAL</a>(ofs,  len)&#160;&#160;&#160;    uint(sizeof(qt_meta_stringdata_CLASSTerminalENDCLASS_t::offsetsAndSizes) + ofs), len</td></tr>
<tr class="separator:a3c6e81753001d10d51e62d0a29c273bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Dokumentacja definicji</h2>
<a id="ad83b2306f94b5b9e5625794fc238c8a0" name="ad83b2306f94b5b9e5625794fc238c8a0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad83b2306f94b5b9e5625794fc238c8a0">&#9670;&#160;</a></span>Q_CONSTINIT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define Q_CONSTINIT</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="build_2moc___terminal_8cpp_source.html#l00031">31</a> pliku <a class="el" href="build_2moc___terminal_8cpp_source.html">build/moc_Terminal.cpp</a>.</p>

</div>
</div>
<a id="a3c6e81753001d10d51e62d0a29c273bc" name="a3c6e81753001d10d51e62d0a29c273bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c6e81753001d10d51e62d0a29c273bc">&#9670;&#160;</a></span>QT_MOC_LITERAL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define QT_MOC_LITERAL</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">ofs, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">len&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;    uint(sizeof(qt_meta_stringdata_CLASSTerminalENDCLASS_t::offsetsAndSizes) + ofs), len</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="build_2moc___terminal_8cpp_source.html#l00049">49</a> pliku <a class="el" href="build_2moc___terminal_8cpp_source.html">build/moc_Terminal.cpp</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4fef79e7177ba769987a8da36c892c5f.html">build</a></li><li class="navelem"><a class="el" href="build_2moc___terminal_8cpp.html">moc_Terminal.cpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
